Summary:	Mount WebDAV server as local disk drive
Name:		davfs2
Version:	0.2.7
Release: 	1
License: 	GPL + link to OpenSSL
Source0:	%{name}-%{version}.tar.bz2
Patch0:		%{name}-%{version}.diff
Group:		System/Filesystems
URL:		http://dav.sourceforge.net/	
BuildRequires:	neon-devel openssl-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

Packager:	Matthias G. Eckermann <mge@suse.de>
Distribution:	SuSE SLES-9 (i586) Addon

%description

Davfs2 is a Linux file system driver that allows you to mount a WebDAV server
as a local disk drive. Davfs2 uses Coda for kernel driver and neon for WebDAV
interface. 

WebDAV is an extension to HTTP that allows remote collaborative authoring of
Web resources, defined in RFC 2518. 

Davfs allows a remote Web server to be edited using standard applications that
interact with the file system. For example, a remote Web site could be updated
in-place using the same development tools that initially created the site.
Davfs supports SSL and proxy server. 

Authors: Sung Kim <hunkim@cse.ucsc.edu>
-------- Robert Spier <rspier@pobox.com>
	 Werner Baumann (werner.baumann@onlinehome.de)

%prep
%setup

%patch0 -p 1

%build
%configure 					\
	--prefix=/usr				\
	--sbindir=/sbin				\
	--datadir=/usr/share/doc/packages	\
	--mandir=%{_mandir}

%install
if [ -n "$RPM_BUILD_ROOT" ] ; then
	[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
fi
make DESTDIR=$RPM_BUILD_ROOT install
mkdir -p $RPM_BUILD_ROOT/var/run/mount.davfs

%files
%defattr(-,root,root)
%config(noreplace) /etc/davfs2/secrets
%config(noreplace) /etc/davfs2/davfs2.conf
%attr(755,root,root) /sbin/mount.davfs
/usr/share/man/man8/mount.davfs.8.gz
/usr/share/doc/packages/davfs2
%dir /var/run/mount.davfs

%clean
if [ -n "$RPM_BUILD_ROOT" ] ; then
	[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
fi

%changelog
* Thu Mar  2 2006 Matthias Eckermann <mge@suse.de>
- initial package
